import java.awt.EventQueue;
import java.net.URL;

public class Class67 {

   static final int anInt630 = 4;
   long aLong631 = -2342833244488852013L;
   Class456 aClass456_632 = new Class456();
   static final int anInt633 = 1;
   long aLong634;
   static final int anInt635 = 3;
   static final int anInt636 = 2;
   static final int anInt637 = 5;
   public static Class10 aClass10_638;
   static int anInt639;
   static EventQueue anEventQueue640;


   void method1428(RS2Buffer var1, int var2) {
      this.aLong634 = var1.method13729((byte)55) * 407121199806359593L;
      this.aLong631 = var1.method13729((byte)124) * 2342833244488852013L;

      for(int var3 = var1.readUnsignedByte(-700559597); var3 != 0; var3 = var1.readUnsignedByte(-700559597)) {
         Object var4;
         if(1 == var3) {
            var4 = new Class225_Sub17_Sub5(this);
         } else if(var3 == 4) {
            var4 = new Class225_Sub17_Sub2(this);
         } else if(3 == var3) {
            var4 = new Class225_Sub17_Sub1(this);
         } else if(2 == var3) {
            var4 = new Class225_Sub17_Sub3(this);
         } else {
            if(var3 != 5) {
               throw new RuntimeException("");
            }

            var4 = new Class225_Sub17_Sub4(this);
         }

         ((Class225_Sub17)var4).method13617(var1, (short)-32748);
         this.aClass456_632.method7712((Class225)var4, (byte)20);
      }

   }

   public Class67(RS2Buffer var1) {
      this.method1428(var1, 1964020189);
   }

   public void method1429(Class225_Sub19 var1, int var2) {
      if(var1.aLong2606 * -7222396723785363401L == this.aLong634 * -6354521336051600359L && -3242280185911865987L * var1.aLong8567 == -1559549184718357083L * this.aLong631) {
         for(Class225_Sub17 var3 = (Class225_Sub17)this.aClass456_632.method7682((byte)50); var3 != null; var3 = (Class225_Sub17)this.aClass456_632.method7666(-1147780150)) {
            var3.method13618(var1, 122931957);
         }

         var1.aLong8567 += -868917023590378539L;
      } else {
         throw new RuntimeException("");
      }
   }

   void method1430(RS2Buffer var1) {
      this.aLong634 = var1.method13729((byte)61) * 407121199806359593L;
      this.aLong631 = var1.method13729((byte)35) * 2342833244488852013L;

      for(int var2 = var1.readUnsignedByte(-700559597); var2 != 0; var2 = var1.readUnsignedByte(-700559597)) {
         Object var3;
         if(1 == var2) {
            var3 = new Class225_Sub17_Sub5(this);
         } else if(var2 == 4) {
            var3 = new Class225_Sub17_Sub2(this);
         } else if(3 == var2) {
            var3 = new Class225_Sub17_Sub1(this);
         } else if(2 == var2) {
            var3 = new Class225_Sub17_Sub3(this);
         } else {
            if(var2 != 5) {
               throw new RuntimeException("");
            }

            var3 = new Class225_Sub17_Sub4(this);
         }

         ((Class225_Sub17)var3).method13617(var1, (short)-10439);
         this.aClass456_632.method7712((Class225)var3, (byte)8);
      }

   }

   void method1431(RS2Buffer var1) {
      this.aLong634 = var1.method13729((byte)104) * 407121199806359593L;
      this.aLong631 = var1.method13729((byte)80) * 2342833244488852013L;

      for(int var2 = var1.readUnsignedByte(-700559597); var2 != 0; var2 = var1.readUnsignedByte(-700559597)) {
         Object var3;
         if(1 == var2) {
            var3 = new Class225_Sub17_Sub5(this);
         } else if(var2 == 4) {
            var3 = new Class225_Sub17_Sub2(this);
         } else if(3 == var2) {
            var3 = new Class225_Sub17_Sub1(this);
         } else if(2 == var2) {
            var3 = new Class225_Sub17_Sub3(this);
         } else {
            if(var2 != 5) {
               throw new RuntimeException("");
            }

            var3 = new Class225_Sub17_Sub4(this);
         }

         ((Class225_Sub17)var3).method13617(var1, (short)5713);
         this.aClass456_632.method7712((Class225)var3, (byte)104);
      }

   }

   public void method1432(Class225_Sub19 var1) {
      if(var1.aLong2606 * -7222396723785363401L == this.aLong634 * -6354521336051600359L && -3242280185911865987L * var1.aLong8567 == -1559549184718357083L * this.aLong631) {
         for(Class225_Sub17 var2 = (Class225_Sub17)this.aClass456_632.method7682((byte)30); var2 != null; var2 = (Class225_Sub17)this.aClass456_632.method7666(-712772020)) {
            var2.method13618(var1, -1151226299);
         }

         var1.aLong8567 += -868917023590378539L;
      } else {
         throw new RuntimeException("");
      }
   }

   public static boolean method1433(String var0, int var1, String var2, int var3) {
      if(var1 == 0) {
         try {
            if(!Class281.aString3284.startsWith("win")) {
               throw new Exception();
            } else if(!var0.startsWith("http://") && !var0.startsWith("https://")) {
               throw new Exception();
            } else {
               String var11 = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789?&=,.%+-_#:/*";

               for(int var5 = 0; var5 < var0.length(); ++var5) {
                  if(var11.indexOf(var0.charAt(var5)) == -1) {
                     throw new Exception();
                  }
               }

               Runtime.getRuntime().exec("cmd /c start \"j\" \"" + var0 + "\"");
               return true;
            }
         } catch (Throwable var6) {
            return false;
         }
      } else if(var1 == 1) {
         try {
            Object var4 = Class438.method7366(Class281.anApplet3286, var2, new Object[]{(new URL(Class281.anApplet3286.getCodeBase(), var0)).toString()}, 567184897);
            return null != var4;
         } catch (Throwable var7) {
            return false;
         }
      } else if(var1 == 2) {
         try {
            Class281.anApplet3286.getAppletContext().showDocument(new URL(Class281.anApplet3286.getCodeBase(), var0), "_blank");
            return true;
         } catch (Exception var8) {
            return false;
         }
      } else if(3 == var1) {
         try {
            Class438.method7363(Class281.anApplet3286, "loggedout", (byte)47);
         } catch (Throwable var10) {
            ;
         }

         try {
            Class281.anApplet3286.getAppletContext().showDocument(new URL(Class281.anApplet3286.getCodeBase(), var0), "_top");
            return true;
         } catch (Exception var9) {
            return false;
         }
      } else {
         throw new IllegalArgumentException();
      }
   }

   static final void method1434(Class124 var0, Class121 var1, Class508 var2, int var3) {
      boolean var10001;
      if(var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] == 1) {
         if(var3 <= -109009313) {
            ;
         }

         var10001 = true;
      } else {
         var10001 = false;
      }

      var0.aBool1442 = var10001;
      Class460.method7767(var0, 1019409627);
   }

   static final void method1435(Class508 var0, int var1) {
      Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub28_8477, var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], -855214934);
      Class7.method605(-1358477367);
      client.aBool7758 = false;
   }

   static boolean method1436(int var0) {
      boolean var1 = true;
      if(Class225_Sub15.aClass86_8559 == null) {
         if(Class485.aClass253_5890.method4507(Class185.anInt2224 * -264630831, 731009843)) {
            Class225_Sub15.aClass86_8559 = Class152.method2756(Class485.aClass253_5890, -264630831 * Class185.anInt2224);
         } else {
            var1 = false;
         }
      }

      if(Class185.aClass86_2225 == null) {
         if(Class485.aClass253_5890.method4507(-267102093 * Class295.anInt3488, 1440375523)) {
            Class185.aClass86_2225 = Class152.method2756(Class485.aClass253_5890, Class295.anInt3488 * -267102093);
         } else {
            var1 = false;
         }
      }

      if(Class529.aClass86_7197 == null) {
         if(Class485.aClass253_5890.method4507(2001168901 * Class15.anInt176, 899549193)) {
            Class529.aClass86_7197 = Class152.method2756(Class485.aClass253_5890, Class15.anInt176 * 2001168901);
         } else {
            var1 = false;
         }
      }

      if(null == Class121.aClass405_1204) {
         if(Class154.aClass253_1934.method4507(1678599743 * Class118_Sub10_Sub2.anInt10322, -2116115160)) {
            Class121.aClass405_1204 = Class480.method8089(Class154.aClass253_1934, 1678599743 * Class118_Sub10_Sub2.anInt10322, -232615944);
         } else {
            var1 = false;
         }
      }

      if(null == Class526.aClass86_Sub1Array7159) {
         if(Class485.aClass253_5890.method4507(Class118_Sub10_Sub2.anInt10322 * 1678599743, -1729065459)) {
            Class526.aClass86_Sub1Array7159 = (Class86_Sub1[])((Class86_Sub1[])Class152.method2758(Class485.aClass253_5890, 1678599743 * Class118_Sub10_Sub2.anInt10322));
         } else {
            var1 = false;
         }
      }

      return var1;
   }

   static final void method1437(int var0, int var1) {
      int var2 = client.anInt7659 * -1255739433 - client.anInt7865 * -1446874295;
      if(var2 >= 100) {
         Class225_Sub21_Sub5.anInt10087 = 1108306535;
         Class118_Sub2.anInt8212 = 110956583;
         Class109.anInt1086 = -887729361;
      } else {
         int var3 = (int)client.aFloat7749;
         if(1141009441 * client.anInt7737 >> 8 > var3) {
            var3 = client.anInt7737 * 1141009441 >> 8;
         }

         if(client.aBoolArray7910[4] && 128 + client.anIntArray7886[4] > var3) {
            var3 = 128 + client.anIntArray7886[4];
         }

         int var4 = client.anInt7925 * 537722337 + (int)client.aFloat7750 & 16383;
         Class326 var5 = Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.method10913().aClass326_4031;
         Class338.method6233(1230511155 * Class224.anInt2605, Class419.method7167((int)var5.aFloat4036, (int)var5.aFloat4033, -117136075 * Class181.anInt2197, (byte)-85) - 42864631 * client.anInt7766, 1373106371 * Class522.anInt7145, var3, var4, (var3 >> 3) * 3 + 600 << 2, var0, (byte)4);
         float var6 = 1.0F - (float)((100 - var2) * (100 - var2) * (100 - var2)) / 1000000.0F;
         Class90.anInt895 = (int)((float)(Class491.anInt5913 * 2083758903) + (float)(-434903763 * Class90.anInt895 - Class491.anInt5913 * 2083758903) * var6) * -1415269723;
         Class416.anInt5137 = (int)(var6 * (float)(-667483859 * Class416.anInt5137 - Class118_Sub8.anInt8249 * -1521413205) + (float)(-1521413205 * Class118_Sub8.anInt8249)) * -1544030555;
         Class4.anInt112 = (int)((float)(1499240561 * Class62_Sub2.anInt8144) + var6 * (float)(2099956753 * Class4.anInt112 - 1499240561 * Class62_Sub2.anInt8144)) * -2025085711;
         Class365.anInt4603 = (int)((float)(Class332.anInt4180 * -2103475951) + (float)(Class365.anInt4603 * 1900912637 - -2103475951 * Class332.anInt4180) * var6) * 5027157;
         int var7 = 912050609 * Class85.anInt867 - Class580.anInt7624 * -1098625297;
         if(var7 > 8192) {
            var7 -= 16384;
         } else if(var7 < -8192) {
            var7 += 16384;
         }

         Class85.anInt867 = (int)((float)(-1098625297 * Class580.anInt7624) + var6 * (float)var7) * 1910759249;
         Class85.anInt867 = (Class85.anInt867 * 912050609 & 16383) * 1910759249;
      }
   }

   public static void method1438(int var0, int var1, int var2, int var3) {
      var2 = var2 * Class500.aClass225_Sub6_5953.aClass463_Sub9_8502.method12871(-1086741550) >> 8;
      if(0 != var2 && var0 != -1) {
         if(!Class226.aBool2611 && Class226.anInt2621 * -550591017 != -1 && Class167.method2864(-263160971) && !Class397.method6760(2108283078)) {
            Class451.aClass225_Sub12_Sub2_5645 = Class536.method11307(1664117655);
            Class268.method4760(-339356850);
            Class225_Sub12_Sub2 var4 = Class551.method11806(Class451.aClass225_Sub12_Sub2_5645, (byte)96);
            Class184.method3238(true, var4, -1537986238);
         }

         Class225_Sub30.method13992(Class333.aClass253_4199, var0, 0, var2, false, (byte)0);
         Class9.method664(-1, 255, 2067998092);
         Class226.aBool2611 = true;
      }

   }
}
